# -*- encoding: utf-8 -*-
# stub: ruby-graphviz 1.0.8 ruby lib

Gem::Specification.new do |s|
  s.name = "ruby-graphviz"
  s.version = "1.0.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Gregoire Lejeune"]
  s.date = "2012-07-03"
  s.description = "Ruby/Graphviz provides an interface to layout and generate images of directed graphs in a variety of formats (PostScript, PNG, etc.) using GraphViz."
  s.email = "gregoire.lejeune@free.fr"
  s.executables = ["dot2ruby", "gem2gv", "git2gv", "ruby2gv", "xml2gv"]
  s.extra_rdoc_files = ["README.rdoc", "COPYING.rdoc", "AUTHORS.rdoc", "CHANGELOG.rdoc"]
  s.files = [".gemrc", ".gitignore", ".travis.yml", "AUTHORS.rdoc", "CHANGELOG.rdoc", "COPYING.rdoc", "Gemfile", "README.rdoc", "Rakefile", "bin/dot2ruby", "bin/gem2gv", "bin/git2gv", "bin/ruby2gv", "bin/xml2gv", "examples/dot/JSP.dot", "examples/dot/balanced.dot", "examples/dot/cluster.dot", "examples/dot/dotgraph.dot", "examples/dot/fsm.dot", "examples/dot/genetic.dot", "examples/dot/hello.dot", "examples/dot/hello_test.rb", "examples/dot/lion_share.dot", "examples/dot/prof.dot", "examples/dot/psg.dot", "examples/dot/rank.dot", "examples/dot/sdh.dot", "examples/dot/siblings.dot", "examples/dot/so-sample001.gv", "examples/dot/so-sample002.gv", "examples/dot/so-sample003.gv", "examples/dot/test.dot", "examples/dot/test_parse.rb", "examples/dot/this_crach_with_dot_2.20.dot", "examples/dot/unix.dot", "examples/graphml/attributes.ext.graphml", "examples/graphml/attributes.graphml", "examples/graphml/cluster.graphml", "examples/graphml/failed_graph.graphml", "examples/graphml/hyper.graphml", "examples/graphml/nested.graphml", "examples/graphml/port.graphml", "examples/graphml/simple.graphml", "examples/hello.png", "examples/rgv/rgv.ps", "examples/rgv/test_rgv.rb", "examples/sample01.rb", "examples/sample02.rb", "examples/sample03.rb", "examples/sample04.rb", "examples/sample05.rb", "examples/sample06.rb", "examples/sample07.rb", "examples/sample08.rb", "examples/sample09.rb", "examples/sample10.rb", "examples/sample11.rb", "examples/sample12.rb", "examples/sample13.rb", "examples/sample14.rb", "examples/sample15.rb", "examples/sample16.rb", "examples/sample17.rb", "examples/sample18.rb", "examples/sample19.rb", "examples/sample20.rb", "examples/sample21.rb", "examples/sample22.rb", "examples/sample23.rb", "examples/sample24.rb", "examples/sample25.rb", "examples/sample26.rb", "examples/sample27.rb", "examples/sample28.rb", "examples/sample29.rb", "examples/sample30.rb", "examples/sample31.rb", "examples/sample32.rb", "examples/sample33.rb", "examples/sample34.rb", "examples/sample35.rb", "examples/sample36.rb", "examples/sample37.rb", "examples/sample38.rb", "examples/sample39.rb", "examples/sample40.rb", "examples/sample41.rb", "examples/sample42.rb", "examples/sample43.rb", "examples/sample44.rb", "examples/sample45.rb", "examples/sample46.rb", "examples/sample47.rb", "examples/sample48.rb", "examples/sample49.rb", "examples/sample50.rb", "examples/sample51.rb", "examples/sample52.rb", "examples/sample53.rb", "examples/sample54.rb", "examples/sample55.rb", "examples/sample56.rb", "examples/sample57.rb", "examples/sample58.rb", "examples/sample59.rb", "examples/sample60.rb", "examples/sample61.rb", "examples/sample62.rb", "examples/sample63.rb", "examples/sample64.rb", "examples/sample65.rb", "examples/sample66.rb", "examples/sample67.rb", "examples/sample68.rb", "examples/sample69.rb", "examples/sample99.rb", "examples/sdlshapes/README", "examples/sdlshapes/sdl.ps", "examples/sdlshapes/sdlshapes.dot", "examples/test.xml", "examples/theory/pert.rb", "examples/theory/tests.rb", "lib/ext/gvpr/dot2ruby.g", "lib/graphviz.rb", "lib/graphviz/attrs.rb", "lib/graphviz/constants.rb", "lib/graphviz/core_ext.rb", "lib/graphviz/dot2ruby.rb", "lib/graphviz/dsl.rb", "lib/graphviz/edge.rb", "lib/graphviz/elements.rb", "lib/graphviz/ext.rb", "lib/graphviz/family_tree.rb", "lib/graphviz/family_tree/couple.rb", "lib/graphviz/family_tree/generation.rb", "lib/graphviz/family_tree/person.rb", "lib/graphviz/family_tree/sibling.rb", "lib/graphviz/graphml.rb", "lib/graphviz/math/matrix.rb", "lib/graphviz/node.rb", "lib/graphviz/nothugly.rb", "lib/graphviz/nothugly/nothugly.xsl", "lib/graphviz/theory.rb", "lib/graphviz/types.rb", "lib/graphviz/types/arrow_type.rb", "lib/graphviz/types/color.rb", "lib/graphviz/types/color_list.rb", "lib/graphviz/types/esc_string.rb", "lib/graphviz/types/gv_bool.rb", "lib/graphviz/types/gv_double.rb", "lib/graphviz/types/html_string.rb", "lib/graphviz/types/lbl_string.rb", "lib/graphviz/types/rect.rb", "lib/graphviz/types/spline_type.rb", "lib/graphviz/utils.rb", "lib/graphviz/utils/colors.rb", "lib/graphviz/xml.rb", "lib/ruby-graphviz.rb", "ruby-graphviz.gemspec", "setup.rb", "test/support.rb", "test/test_examples.rb", "test/test_graph.rb", "test/test_search.rb", "test/test_subgraph.rb", "test/test_theory.rb", "test/test_types.rb", "test/test_utils_colors.rb"]
  s.homepage = "http://github.com/glejeune/Ruby-Graphviz"
  s.post_install_message = "\nSince version 0.9.2, Ruby/GraphViz can use Open3.popen3 (or not)\nOn Windows, you can install 'win32-open3'\n\nYou need to install GraphViz (http://graphviz.org/) to use this Gem.\n\nFor more information about Ruby-Graphviz :\n* Doc : http://rdoc.info/projects/glejeune/Ruby-Graphviz\n* Sources : http://github.com/glejeune/Ruby-Graphviz\n* NEW - Mailing List : http://groups.google.com/group/ruby-graphviz\n\nLast (important) changes :\n* GraphViz#add_edge is deprecated, use GraphViz#add_edges\n* GraphViz#add_node is deprecated, use GraphViz#add_nodes\n* GraphViz::Edge#each_attribut is deprecated, use GraphViz::Edge#each_attribute\n* GraphViz::GraphML#attributs is deprecated, use GraphViz::GraphML#attributes\n* GraphViz::Node#each_attribut is deprecated, use GraphViz::Node#each_attribute\n  "
  s.rdoc_options = ["--title", "Ruby/GraphViz", "--main", "README.rdoc"]
  s.rubyforge_project = "ruby-asp"
  s.rubygems_version = "2.2.2"
  s.summary = "Interface to the GraphViz graphing tool"
  s.test_files = ["test/support.rb", "test/test_examples.rb", "test/test_graph.rb", "test/test_search.rb", "test/test_subgraph.rb", "test/test_theory.rb", "test/test_types.rb", "test/test_utils_colors.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<gems>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<gems>, [">= 0"])
      s.add_dependency(%q<rdoc>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<gems>, [">= 0"])
    s.add_dependency(%q<rdoc>, [">= 0"])
  end
end
